Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.iapi
Interface DebuggerContext

All Known Implementing Classes:
  DebuggerSupport

    public interface DebuggerContext

Support for debugging a process: breakpoints, suspend, continue, step and terminate.
This object is associated to a particular process definition.

iid: Process instance id.

Method Summary
`void` | `addBreakpoint(java.lang.Long pid, Breakpoint breakpoint)`
`void` | `addGlobalBreakpoint(Breakpoint breakpoint)`
`Breakpoint[]` | `getBreakpoints(java.lang.Long iid)`
`Breakpoint[]` | `getGlobalBreakpoints()`
`java.lang.Object` | `getProcessModel()`
`void` | `removeBreakpoint(java.lang.Long iid, Breakpoint breakpoint)`
`void` | `removeGlobalBreakpoint(Breakpoint breakpoint)`
`boolean` | `resume(java.lang.Long iid)`
`boolean` | `step(java.lang.Long iid)`
`void` | `suspend(java.lang.Long iid)`
`void` | `terminate(java.lang.Long iid)`

Method Detail

### step

    boolean step(java.lang.Long iid)

### resume

    boolean resume(java.lang.Long iid)

### suspend

    void suspend(java.lang.Long iid)

### terminate

    void terminate(java.lang.Long iid)

### getGlobalBreakpoints

    Breakpoint[] getGlobalBreakpoints()

### getBreakpoints

    Breakpoint[] getBreakpoints(java.lang.Long iid)

### addGlobalBreakpoint

    void addGlobalBreakpoint(Breakpoint breakpoint)

### addBreakpoint

    void addBreakpoint(java.lang.Long pid,
                       Breakpoint breakpoint)

### removeGlobalBreakpoint

    void removeGlobalBreakpoint(Breakpoint breakpoint)

### removeBreakpoint

    void removeBreakpoint(java.lang.Long iid,
                          Breakpoint breakpoint)

### getProcessModel

    java.lang.Object getProcessModel()

  Returns:
    the process model. Currently an `OProcess` However it is not guaranteed that it will remain an OProcess in future versions of ODE or for different types of process lanaguage than BPEL.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD